| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.General.Enums

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Description
General enumeration types.
Synopsis

data AccelFlags

= AccelVisible
| AccelLocked
| AccelMask

data ArrowType

= ArrowUp
| ArrowDown
| ArrowLeft
| ArrowRight
| ArrowNone

data AttachOptions

= Expand
| Shrink
| Fill

data MouseButton

= LeftButton
| MiddleButton
| RightButton
| OtherButton Int

data ButtonBoxStyle

= ButtonboxDefaultStyle
| ButtonboxSpread
| ButtonboxEdge
| ButtonboxStart
| ButtonboxEnd
| ButtonboxCenter

data CalendarDisplayOptions

= CalendarShowHeading
| CalendarShowDayNames
| CalendarNoMonthChange
| CalendarShowWeekNumbers
| CalendarWeekStartMonday
| CalendarShowDetails

data Click

= SingleClick
| DoubleClick
| TripleClick
| ReleaseClick

data CornerType

= CornerTopLeft
| CornerBottomLeft
| CornerTopRight
| CornerBottomRight

data DeleteType

= DeleteChars
| DeleteWordEnds
| DeleteWords
| DeleteDisplayLines
| DeleteDisplayLineEnds
| DeleteParagraphEnds
| DeleteParagraphs
| DeleteWhitespace

data DestDefaults

= DestDefaultMotion
| DestDefaultHighlight
| DestDefaultDrop
| DestDefaultAll

data DirectionType

= DirTabForward
| DirTabBackward
| DirUp
| DirDown
| DirLeft
| DirRight

data Justification

= JustifyLeft
| JustifyRight
| JustifyCenter
| JustifyFill

data MatchType

= MatchAll
| MatchAllTail
| MatchHead
| MatchTail
| MatchExact
| MatchLast

data MenuDirectionType

= MenuDirParent
| MenuDirChild
| MenuDirNext
| MenuDirPrev

data MetricType

= Pixels
| Inches
| Centimeters

data MovementStep

= MovementLogicalPositions
| MovementVisualPositions
| MovementWords
| MovementDisplayLines
| MovementDisplayLineEnds
| MovementParagraphs
| MovementParagraphEnds
| MovementPages
| MovementBufferEnds
| MovementHorizontalPages

data Orientation

= OrientationHorizontal
| OrientationVertical

data Packing

= PackRepel
| PackGrow
| PackNatural

toPacking :: Bool -> Bool -> Packing
fromPacking :: Packing -> (Bool, Bool)

data PackType

= PackStart
| PackEnd

data PathPriorityType

= PathPrioLowest
| PathPrioGtk
| PathPrioApplication
| PathPrioTheme
| PathPrioRc
| PathPrioHighest

data PathType

= PathWidget
| PathWidgetClass
| PathClass

data PolicyType

= PolicyAlways
| PolicyAutomatic
| PolicyNever

data PositionType

= PosLeft
| PosRight
| PosTop
| PosBottom

data ProgressBarOrientation

= ProgressLeftToRight
| ProgressRightToLeft
| ProgressBottomToTop
| ProgressTopToBottom

data ReliefStyle

= ReliefNormal
| ReliefHalf
| ReliefNone

data ResizeMode

= ResizeParent
| ResizeQueue
| ResizeImmediate

data ScrollType

= ScrollNone
| ScrollJump
| ScrollStepBackward
| ScrollStepForward
| ScrollPageBackward
| ScrollPageForward
| ScrollStepUp
| ScrollStepDown
| ScrollPageUp
| ScrollPageDown
| ScrollStepLeft
| ScrollStepRight
| ScrollPageLeft
| ScrollPageRight
| ScrollStart
| ScrollEnd

data SelectionMode

= SelectionNone
| SelectionSingle
| SelectionBrowse
| SelectionMultiple

data ShadowType

= ShadowNone
| ShadowIn
| ShadowOut
| ShadowEtchedIn
| ShadowEtchedOut

data SortType

= SortAscending
| SortDescending

data StateType

= StateNormal
| StateActive
| StatePrelight
| StateSelected
| StateInsensitive

data SubmenuDirection

= DirectionLeft
| DirectionRight

data SubmenuPlacement

= TopBottom
| LeftRight

data SpinButtonUpdatePolicy

= UpdateAlways
| UpdateIfValid

data SpinType

= SpinStepForward
| SpinStepBackward
| SpinPageForward
| SpinPageBackward
| SpinHome
| SpinEnd
| SpinUserDefined

data TargetFlags

= TargetSameApp
| TargetSameWidget
| TargetOtherApp
| TargetOtherWidget

data TextDirection

= TextDirNone
| TextDirLtr
| TextDirRtl

data TextSearchFlags

= TextSearchVisibleOnly
| TextSearchTextOnly

data TextWindowType

= TextWindowPrivate
| TextWindowWidget
| TextWindowText
| TextWindowLeft
| TextWindowRight
| TextWindowTop
| TextWindowBottom

data ToolbarStyle

= ToolbarIcons
| ToolbarText
| ToolbarBoth
| ToolbarBothHoriz

data TreeViewColumnSizing

= TreeViewColumnGrowOnly
| TreeViewColumnAutosize
| TreeViewColumnFixed

data UpdateType

= UpdateContinuous
| UpdateDiscontinuous
| UpdateDelayed

data Visibility

= VisibilityNone
| VisibilityPartial
| VisibilityFull

data WindowPosition

= WinPosNone
| WinPosCenter
| WinPosMouse
| WinPosCenterAlways
| WinPosCenterOnParent

data WindowType

= WindowToplevel
| WindowPopup

data WrapMode

= WrapNone
| WrapChar
| WrapWord
| WrapWordChar

module Graphics.UI.Gtk.Gdk.Enums

Documentation
data AccelFlags

State of an accelerator
Constructors

AccelVisible |
AccelLocked |
AccelMask |

Instances

Bounded AccelFlags
Enum AccelFlags
Eq AccelFlags
Show AccelFlags
Flags AccelFlags

data ArrowType

Constructors

ArrowUp |
ArrowDown |
ArrowLeft |
ArrowRight |
ArrowNone |

Instances

Enum ArrowType
Eq ArrowType
Show ArrowType

data AttachOptions

Child widget attach options for table containers
Constructors

Expand |
Shrink |
Fill |

Instances

Bounded AttachOptions
Enum AttachOptions
Eq AttachOptions
Show AttachOptions
Flags AttachOptions

data MouseButton

Constructors

LeftButton |
MiddleButton |
RightButton |
OtherButton Int |

Instances

Enum MouseButton
Eq MouseButton
Show MouseButton

data ButtonBoxStyle

Dictate the style that a ButtonBox uses to align it contents
Constructors

ButtonboxDefaultStyle |
ButtonboxSpread |
ButtonboxEdge |
ButtonboxStart |
ButtonboxEnd |
ButtonboxCenter |

Instances

Enum ButtonBoxStyle
Eq ButtonBoxStyle
Show ButtonBoxStyle

data CalendarDisplayOptions

Specify which items of a calendar should be displayed.
Constructors

CalendarShowHeading |
CalendarShowDayNames |
CalendarNoMonthChange |
CalendarShowWeekNumbers |
CalendarWeekStartMonday |
CalendarShowDetails |

Instances

Bounded CalendarDisplayOptions
Enum CalendarDisplayOptions
Eq CalendarDisplayOptions
Show CalendarDisplayOptions
Flags CalendarDisplayOptions

data Click

Type of mouse click
Constructors

SingleClick |
DoubleClick |
TripleClick |
ReleaseClick |

Instances

Enum Click
Eq Click
Show Click

data CornerType

Specifies in which corner a child widget should be placed
Constructors

CornerTopLeft |
CornerBottomLeft |
CornerTopRight |
CornerBottomRight |

Instances

Enum CornerType
Eq CornerType
Show CornerType

data DeleteType

Editing option
Constructors

DeleteChars |
DeleteWordEnds |
DeleteWords |
DeleteDisplayLines |
DeleteDisplayLineEnds |
DeleteParagraphEnds |
DeleteParagraphs |
DeleteWhitespace |

Instances

Enum DeleteType
Eq DeleteType
Show DeleteType

data DestDefaults

The `DestDefaults` enumeration specifies the various types of action that will be taken on behalf of the user for a drag destination site.

- `DestDefaultMotion`: If set for a widget, GTK+, during a drag over this widget will check if the drag matches this widget's list of possible targets and actions. GTK+ will then call Graphics.UI.Gtk.Gdk.Drag.dragStatus as appropriate.
- `DestDefaultHighlight`: If set for a widget, GTK+ will draw a highlight on this widget as long as a drag is over this widget and the widget drag format and action are acceptable.
- `DestDefaultDrop`: If set for a widget, when a drop occurs, GTK+ will will check if the drag matches this widget's list of possible targets and actions. If so, GTK+ will call Graphics.UI.Gtk.Gdk.Drag.dragGetData on behalf of the widget. Whether or not the drop is successful, GTK+ will call Graphics.UI.Gtk.Gdk.Drag.dragFinish. If the action was a move, then if the drag was successful, then `True` will be passed for the delete parameter to Graphics.UI.Gtk.Gdk.Drag.dragFinish
- `DestDefaultAll`: If set, specifies that all default actions should be taken.

Constructors

DestDefaultMotion |
DestDefaultHighlight |
DestDefaultDrop |
DestDefaultAll |

Instances

Bounded DestDefaults
Enum DestDefaults
Eq DestDefaults
Show DestDefaults
Flags DestDefaults

data DirectionType

Constructors

DirTabForward |
DirTabBackward |
DirUp |
DirDown |
DirLeft |
DirRight |

Instances

Enum DirectionType
Eq DirectionType
Show DirectionType

data Justification

Justification for label and maybe other widgets (text?)
Constructors

JustifyLeft |
JustifyRight |
JustifyCenter |
JustifyFill |

Instances

Enum Justification
Eq Justification
Show Justification

data MatchType

Some kind of string search options
Constructors

MatchAll |
MatchAllTail |
MatchHead |
MatchTail |
MatchExact |
MatchLast |

Instances

Enum MatchType
Eq MatchType
Show MatchType

data MenuDirectionType

From where was a menu item entered?
Constructors

MenuDirParent |
MenuDirChild |
MenuDirNext |
MenuDirPrev |

Instances

Enum MenuDirectionType
Eq MenuDirectionType
Show MenuDirectionType

data MetricType

Units of measure
Constructors

Pixels |
Inches |
Centimeters |

Instances

Enum MetricType
Eq MetricType
Show MetricType

data MovementStep

Movement in text widget
Constructors

MovementLogicalPositions |
MovementVisualPositions |
MovementWords |
MovementDisplayLines |
MovementDisplayLineEnds |
MovementParagraphs |
MovementParagraphEnds |
MovementPages |
MovementBufferEnds |
MovementHorizontalPages |

Instances

Enum MovementStep
Eq MovementStep
Show MovementStep

data Orientation

Orientation is good
Constructors

OrientationHorizontal |
OrientationVertical |

Instances

Enum Orientation
Eq Orientation
Show Orientation

data Packing

Packing parameters of a widget

- The `Packing` parameter determines how the child behaves in the horizontal or vertical way in an Graphics.UI.Gtk.Layout.HBox or Graphics.UI.Gtk.Layout.VBox, respectively. `PackNatural` means the child is as big as it reqests. It will stay at the start of the end of a Graphics.UI.Gtk.Layout.Box if there is more space available. All children packed with `PackRepel` will be padded on both sides with additional space. `PackGrow` will increase the size of a widget so that it covers the available space. A menu bar, for instance, should always stay at the top of a window and should only occupy as little space as possible. Hence it should be packed at the start of a Graphics.UI.Gtk.Layout.VBox with the packing option `PackNatural`. The working area of a window (e.g. the text area in an editor) should expand when the window is resized. Here the packing option `PackGrow` is the right choice and it is irrelevant whether the main area is inserted at the start or the end of a box. Finally `PackRepel` is most useful in a window where no widget can make use of excess space. Examples include a dialog box without list boxes or text fields.

Constructors

PackRepel |
PackGrow |
PackNatural |

Instances

Enum Packing
Eq Packing
Show Packing

toPacking :: Bool -> Bool -> Packing
fromPacking :: Packing -> (Bool, Bool)
data PackType

Packing of widgets at start or end in a box
Constructors

PackStart |
PackEnd |

Instances

Enum PackType
Eq PackType
Show PackType

data PathPriorityType

Priorities
Constructors

PathPrioLowest |
PathPrioGtk |
PathPrioApplication |
PathPrioTheme |
PathPrioRc |
PathPrioHighest |

Instances

Enum PathPriorityType
Eq PathPriorityType
Show PathPriorityType

data PathType

Widget identification path
Constructors

PathWidget |
PathWidgetClass |
PathClass |

Instances

Enum PathType
Eq PathType
Show PathType

data PolicyType

Constructors

PolicyAlways |
PolicyAutomatic |
PolicyNever |

Instances

Enum PolicyType
Eq PolicyType
Show PolicyType

data PositionType

Position a scale's value is drawn relative to the trough
Constructors

PosLeft |
PosRight |
PosTop |
PosBottom |

Instances

Enum PositionType
Eq PositionType
Show PositionType

data ProgressBarOrientation

Is the ProgressBar horizontally or vertically directed?
Constructors

ProgressLeftToRight |
ProgressRightToLeft |
ProgressBottomToTop |
ProgressTopToBottom |

Instances

Enum ProgressBarOrientation
Eq ProgressBarOrientation
Show ProgressBarOrientation

data ReliefStyle

I don't have a clue.
Constructors

ReliefNormal |
ReliefHalf |
ReliefNone |

Instances

Enum ReliefStyle
Eq ReliefStyle
Show ReliefStyle

data ResizeMode

Resize mode, for containers

- `ResizeParent` Pass resize request to the parent
- `ResizeQueue` Queue resizes on this widget
- `ResizeImmediate` Perform the resizes now

Constructors

ResizeParent |
ResizeQueue |
ResizeImmediate |

Instances

Enum ResizeMode
Eq ResizeMode
Show ResizeMode

data ScrollType

Scrolling type
Constructors

ScrollNone |
ScrollJump |
ScrollStepBackward |
ScrollStepForward |
ScrollPageBackward |
ScrollPageForward |
ScrollStepUp |
ScrollStepDown |
ScrollPageUp |
ScrollPageDown |
ScrollStepLeft |
ScrollStepRight |
ScrollPageLeft |
ScrollPageRight |
ScrollStart |
ScrollEnd |

Instances

Enum ScrollType
Eq ScrollType
Show ScrollType

data SelectionMode

Mode in which selections can be performed

- There is a deprecated entry SelectionExtended which should have the same value as SelectionMultiple. C2HS chokes on that construct.

Constructors

SelectionNone |
SelectionSingle |
SelectionBrowse |
SelectionMultiple |

Instances

Enum SelectionMode
Eq SelectionMode
Show SelectionMode

data ShadowType

Shadow types
Constructors

ShadowNone |
ShadowIn |
ShadowOut |
ShadowEtchedIn |
ShadowEtchedOut |

Instances

Enum ShadowType
Eq ShadowType
Show ShadowType

data SortType

Constructors

SortAscending |
SortDescending |

Instances

Enum SortType
Eq SortType
Show SortType

data StateType

Widget states
Constructors

StateNormal |
StateActive |
StatePrelight |
StateSelected |
StateInsensitive |

Instances

Enum StateType
Eq StateType
Show StateType

data SubmenuDirection

Submenu direction policies
Constructors

DirectionLeft |
DirectionRight |

Instances

Enum SubmenuDirection
Eq SubmenuDirection
Show SubmenuDirection

data SubmenuPlacement

Submenu placement policies
Constructors

TopBottom |
LeftRight |

Instances

Enum SubmenuPlacement
Eq SubmenuPlacement
Show SubmenuPlacement

data SpinButtonUpdatePolicy

Whether to clamp or ignore illegal values.
Constructors

UpdateAlways |
UpdateIfValid |

Instances

Enum SpinButtonUpdatePolicy
Eq SpinButtonUpdatePolicy
Show SpinButtonUpdatePolicy

data SpinType

Spin a SpinButton with the following method.
Constructors

SpinStepForward |
SpinStepBackward |
SpinPageForward |
SpinPageBackward |
SpinHome |
SpinEnd |
SpinUserDefined |

Instances

Enum SpinType
Eq SpinType
Show SpinType

data TargetFlags

The `TargetFlags` enumeration is used to specify constraints on an entry in a Graphics.UI.Gtk.Gdk.Selection.TargetList. These flags are only used for drag and drop.

- If the `TargetSameApp` flag is set, the target will only be selected for drags within a single application.
- If the `TargetSameWidget` flag is set, the target will only be selected for drags within a single widget.

Constructors

TargetSameApp |
TargetSameWidget |
TargetOtherApp |
TargetOtherWidget |

Instances

Bounded TargetFlags
Enum TargetFlags
Eq TargetFlags
Show TargetFlags
Flags TargetFlags

data TextDirection

Constructors

TextDirNone |
TextDirLtr |
TextDirRtl |

Instances

Enum TextDirection
Eq TextDirection
Show TextDirection

data TextSearchFlags

Specify the way the search function for Graphics.UI.Gtk.Multiline.TextBuffer works.
Constructors

TextSearchVisibleOnly |
TextSearchTextOnly |

Instances

Bounded TextSearchFlags
Enum TextSearchFlags
Eq TextSearchFlags
Show TextSearchFlags
Flags TextSearchFlags

data TextWindowType

The window type for coordinate translation.
Constructors

TextWindowPrivate |
TextWindowWidget |
TextWindowText |
TextWindowLeft |
TextWindowRight |
TextWindowTop |
TextWindowBottom |

Instances

Enum TextWindowType
Eq TextWindowType
Show TextWindowType

data ToolbarStyle

Where to place the toolbar?
Constructors

ToolbarIcons |
ToolbarText |
ToolbarBoth |
ToolbarBothHoriz |

Instances

Enum ToolbarStyle
Eq ToolbarStyle
Show ToolbarStyle

data TreeViewColumnSizing

Wether columns of a tree or list widget can be resized.
Constructors

TreeViewColumnGrowOnly |
TreeViewColumnAutosize |
TreeViewColumnFixed |

Instances

Enum TreeViewColumnSizing
Eq TreeViewColumnSizing
Show TreeViewColumnSizing

data UpdateType

Updating types for range widgets (determines when the `"connectToValueChanged"` signal is emitted by the widget)
Constructors

UpdateContinuous |
UpdateDiscontinuous |
UpdateDelayed |

Instances

Enum UpdateType
Eq UpdateType
Show UpdateType

data Visibility

Visibility
Constructors

VisibilityNone |
VisibilityPartial |
VisibilityFull |

Instances

Enum Visibility
Eq Visibility
Show Visibility

data WindowPosition

Window position types
Constructors

WinPosNone |
WinPosCenter |
WinPosMouse |
WinPosCenterAlways |
WinPosCenterOnParent |

Instances

Enum WindowPosition
Eq WindowPosition
Show WindowPosition

data WindowType

Interaction of a window with window manager
Constructors

WindowToplevel |
WindowPopup |

Instances

Enum WindowType
Eq WindowType
Show WindowType

data WrapMode

Determine how lines are wrapped in a Graphics.UI.Gtk.Multiline.TextView.
Constructors

WrapNone |
WrapChar |
WrapWord |
WrapWordChar |

Instances

Enum WrapMode
Eq WrapMode
Show WrapMode

module Graphics.UI.Gtk.Gdk.Enums
Produced by Haddock version 2.4.2